/*
	$Id: point.h,v 1.4 2001/03/04 17:54:47 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	------------------------------------------------------------------------

	File purpose:
		Point class.

*/

//! clanCore="Math"

#ifndef header_point
#define header_point

class CL_Point
{
public:
	CL_Point() : x(0), y(0) { }
	CL_Point(int x1, int y1) : x(x1), y(y1) { }

	int x, y;
};

#endif
