
//! clanCore="System"

#ifndef header_setupcore
#define header_setupcore

#ifdef WIN32
#include <windows.h>
#endif

class CL_SetupCore
//: ClanCore initialization functions.
{
public:
	static void init();
	// Initialize clanCore. If you are using CL_ClanApplication to boot your
	// application, you do not need to call this function.

	static void deinit();
	// Deinitialize clanCore. If you are using CL_ClanApplication to boot your
	// application, you do not need to call this function.

#ifdef WIN32
	static void set_instance(HINSTANCE hInstance);
	// If doing win32 initialization without using clanApp, you must call
	// this function before calling CL_SetupCore::init().
#endif
};

#endif
