/*
	$Id: inputbutton.h,v 1.1 2001/03/06 15:09:10 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	------------------------------------------------------------------------
*/

//! clanDisplay="Input"

#ifndef header_input_button
#define header_input_button

class CL_InputButton
//: Input Button interface.
// CL_InputButton is the interface to buttons, such as a keyboard, mouse or
// joystick button.
{
public:
	virtual ~CL_InputButton() { return; }

	virtual bool is_pressed()=0;
	//: Returns true if the button is pressed.
	//!retval: True if button is pressed.
};

#endif
