/*
	$Id: inputhat.h,v 1.1 2001/03/06 15:09:11 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	------------------------------------------------------------------------
*/

//! clanDisplay="Input"

#ifndef header_inputhat
#define header_inputhat

class CL_InputHat
//: Joystick hat interface.
// CL_InputHat is the interface to the "hat" on a joystick.
{
public:
	virtual ~CL_InputHat() { return; }
	virtual float get_direction()=0;
	//: Returns the current direction of the hat (in degrees from 0-360). If the 
	//: value returned is -1, the hat is centered.
	//!retval: Current hat direction (degrees 0-360) or -1 if centered.
};

#endif
