/*
	ClanGUI, copyrights by various people. Have a look in the CREDITS file.
	
	This sourcecode is distributed using the Library GNU Public Licence,
	version 2 or (at your option) any later version. Please read LICENSE
	for details.
*/

//! clanGUI="Framework"

#ifndef header_component_resize_handler
#define header_component_resize_handler

class CL_Rect;
class CL_Component;

class CL_ComponentResizeHandler
{
public:
	CL_ComponentResizeHandler(const CL_Rect &resize_area, CL_Component *owner, class CL_StyleManager *style);
	virtual ~CL_ComponentResizeHandler();

	void set_resize_area(const CL_Rect &resize_area);

private:
	class CL_ComponentResizeHandler_Generic *impl;
};

#endif
