/*
	ClanGUI, copyrights by various people. Have a look in the CREDITS file.
	
	This sourcecode is distributed using the Library GNU Public Licence,
	version 2 or (at your option) any later version. Please read LICENSE
	for details.
*/

//! clanGUI="Framework"

#ifndef header_component_style
#define header_component_style

class CL_Component;

class CL_ComponentStyle
{
public:
	CL_ComponentStyle(CL_Component *component) : comp(component) { return; }
	virtual ~CL_ComponentStyle() { return; }

	CL_Component *get_component() { return comp; }
	const CL_Component *get_component() const { return comp; }

private:
	CL_Component *comp;
};

#endif
