/*
	$Id: inputsource_provider_file.h,v 1.1 2001/04/03 13:36:08 sphair Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	------------------------------------------------------------------------
*/

//! clanCore="I/O Data"

#ifndef header_inputsource_provider_file
#define header_inputsource_provider_file

class CL_InputSource;
#include "inputsource_provider.h"

class CL_InputSourceProvider_File : public CL_InputSourceProvider
{
//!Construction:
public:
	CL_InputSourceProvider_File(const char *path);
	virtual CL_InputSource *open_source(const char *filename);
	virtual CL_InputSourceProvider *clone();

//!Implementation;
private:
	std::string provider_path;
};

#endif
