/*
	ClanGUI, copyrights by various people. Have a look in the CREDITS file.
	
	This sourcecode is distributed using the Library GNU Public Licence,
	version 2 or (at your option) any later version. Please read LICENSE
	for details.
*/

//! clanGUI="Framework"

#ifndef header_component_move_handler
#define header_component_move_handler

class CL_Rect;
class CL_Component;

class CL_ComponentMoveHandler
{
public:
	CL_ComponentMoveHandler(const CL_Rect &move_area, CL_Component *owner, class CL_StyleManager *style);
	virtual ~CL_ComponentMoveHandler();

	void set_move_area(const CL_Rect &move_area);

private:
	class CL_ComponentMoveHandler_Generic *impl;
};

#endif
