/*
	ClanGUI, copyrights by various people. Have a look in the CREDITS file.
	
	This sourcecode is distributed using the Library GNU Public Licence,
	version 2 or (at your option) any later version. Please read LICENSE
	for details.
*/

//! clanGUI="Controls"

#ifndef header_menubar
#define header_menubar

#include "component_options.h"
#include "stylemanager.h"
#include "menudata.h"

class CL_Component;
class CL_MenuItem;
class CL_PopupMenu;

class CL_MenuBar : public CL_MenuData
//: MenuBar component
{
//!Construction:
public:
	CL_MenuBar(
		const CL_ComponentOptions &options,
		CL_Component *parent,
		CL_StyleManager *style = NULL);

	CL_MenuBar(
		const CL_Rect &pos,
		CL_Component *parent,
		CL_StyleManager *style = NULL);

	virtual ~CL_MenuBar();

//	virtual void adjust_size() = 0;
	// Adjusts the size of the component to fit the contents. 

//	virtual void update();

protected:
	virtual void on_item_activated(CL_MenuItem *item, CL_PopupMenu *child);
	virtual void on_item_highlighted(CL_MenuItem *item);
};  

#endif
