
#ifndef header_browse_master
#define header_browse_master

//! clanNetwork="Browsing"

class CL_IPAddress;

class CL_BrowseMaster
//: Browse master.
// A browse master is a service that browse servers can register themselves to, and
// browse clients can then connect to the master and get a list of servers.
//
// Normally, this is used in games to provide a list of available servers.
{
//!Construction:
public:
	CL_BrowseMaster(const CL_IPAddress &bind_address);
	// Construct a browse master.
	
	virtual ~CL_BrowseMaster();

//!Attributes:
public:

//!Operations:
public:

//!Implementation:
private:
	class CL_BrowseMaster_Generic *impl;
};

#endif
