/*
	$Id: echofilter.h,v 1.1 2001/03/06 15:09:12 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	------------------------------------------------------------------------
*/

//! clanSound="Filters"

#ifndef header_echofilter
#define header_echofilter

#include "../soundfilter.h"

class CL_EchoFilter : public CL_SoundFilter
{
public:
	CL_EchoFilter(int buffer_size = 32*1024, int shift_factor = 2);
	virtual ~CL_EchoFilter();

	virtual void filter(int *data, int size);

private:
	CL_EchoFilter(const CL_EchoFilter &copy) { return; } // disallow copy construction.
	class CL_EchoFilter_Generic *impl;
};

#endif
