/*
	$Id: inverse_echofilter.h,v 1.1 2001/03/06 15:09:12 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	------------------------------------------------------------------------
*/

//! clanSound="Filters"

#ifndef header_inverse_echofilter
#define header_inverse_echofilter

#include "../soundfilter.h"

class CL_InverseEchoFilter : public CL_SoundFilter
{
public:
	CL_InverseEchoFilter(int buffer_size = 64*1024);
	virtual ~CL_InverseEchoFilter();

	virtual void filter(int *data, int size);

private:
	CL_InverseEchoFilter(const CL_InverseEchoFilter &copy) { return; } // disallow copy construction.
	class CL_InverseEchoFilter_Generic *impl;
};

#endif
