/*
	$Id: soundfilter.h,v 1.1 2001/03/06 15:09:12 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	------------------------------------------------------------------------
*/

//! clanSound="Audio Mixing"

#ifndef header_soundfilter
#define header_soundfilter

class CL_SoundFilter
{
public:
	virtual ~CL_SoundFilter() { return; }
	
	virtual void filter(int *sample_data, int num_samples)=0;
	// Filter callback. All sound data is passed through this function,
	// which modifies the sample data accordingly to the function of the
	// filter.
	//
	// The format of the sample data is always 16 bit stereo. 
};

#endif
